cgGetEffectParameterBuffer(3)

NAME
cgGetEffectParameterBuffer - get the Cg buffer associated to the passed effect parameter.

SYNOPSIS
  #include <Cg/cg.h>

  CGbuffer cgGetEffectParameterBuffer(CGparameter param)

PARAMETERS

param
    The effect parameter associated with a Cg buffer (using the BUFFER semantic) set by cgSetEffectParameterBuffer.

RETURN VALUES
Returns the CGbuffer object set by cgSetEffectParameterBuffer.

Returns NULL if param is invalid or does not have a CGbuffer set by cgSetEffectParameterBuffer.

DESCRIPTION
cgGetEffectParameterBuffer returns the CGbuffer object set by cgSetEffectParameterBuffer.

EXAMPLES
In effect:

struct Material {
    float4 ambient;
    float4 diffuse;
    float4 specular;
    float4 shine; } cbuffer0_Material : BUFFER[0];

In C/C++:

CGbuffer myCgBuffer = cgCreateBuffer(...);

cgSetEffectParameterBuffer(cgGetNamedEffectParameter(myCgEffect, "cbuffer0_Material"), myCgBuffer);

// ...

CGbuffer buffer = cgGetEffectParameterBuffer(cgGetNamedEffectParameter(myCgEffect, "cbuffer0_Material"));

// Now buffer == myCgBuffer

ERRORS
CG_INVALID_PARAMETER_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetEffectParameterBuffer was introduced in Cg 3.0.

SEE ALSO
cgSetEffectParameterBuffer